import request from '@/utils/request'

export function queryAgvStatus(params) {
  return request({
    url: 'api/queryAgvStatus',
    method: 'get',
    params
  })
}

export function add(data) {
  return request({
    url: 'api/agvTask',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/agvTask/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/agvTask',
    method: 'put',
    data
  })
}

export default { add, edit, del }
